#define INTUITION_PREFERENCES_H             /* don't need 'em */
#include <intuition/intuitionbase.h>
#include <libraries/dos.h>

#include "NL-Daemon.h"


#define PROGRAM     "NL-Handler"
#define MAJVERS     1
#define MINVERS     4

#define MINLOADVER  3       /* The minimum version number of the loader */
                            /* (a loader of lower version will be an error) */

extern struct IntuitionBase *IntuitionBase;

#define WINDOWGADGETS   (WINDOWSIZING| WINDOWDEPTH| WINDOWCLOSE)

#define ZOOMGADG      (('Z'<<8)|'M')

#define SAME          0xFFFF
#define IWIDTH        0xFFFF


#define UPWIDTH       24
#define UPHEIGHT      10
#define UPDEPTH       2
#define UPWORDS       2

#define DOWNWIDTH       24
#define DOWNHEIGHT      10
#define DOWNDEPTH       2
#define DOWNWORDS       2

#define SIZEWIDTH       16
#define SIZEHEIGHT      9
#define SIZEDEPTH       2
#define SIZEWORDS       1

#define CLOSEWIDTH       21
#define CLOSEHEIGHT      10
#define CLOSEDEPTH       2
#define CLOSEWORDS       2

#define ZOOMWIDTH       27
#define ZOOMHEIGHT      10
#define ZOOMDEPTH       2
#define ZOOMWORDS       2

#define LR_UPWIDTH       17
#define LR_UPHEIGHT      10
#define LR_UPDEPTH       2
#define LR_UPWORDS       2

#define LR_DOWNWIDTH       17
#define LR_DOWNHEIGHT      10
#define LR_DOWNDEPTH       2
#define LR_DOWNWORDS       2

#define LR_SIZEWIDTH       11
#define LR_SIZEHEIGHT      10
#define LR_SIZEDEPTH       2
#define LR_SIZEWORDS       1

#define LR_CLOSEWIDTH       14
#define LR_CLOSEHEIGHT      10
#define LR_CLOSEDEPTH       2
#define LR_CLOSEWORDS       1

#define LRZOOMWIDTH       19
#define LRZOOMHEIGHT      10
#define LRZOOMDEPTH       2
#define LRZOOMWORDS       2
